Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.quote
Class AdjustmentDescriptionImpl

    java.lang.Object
      |
      +--com.bea.commerce.ebusiness.price.quote.AdjustmentDescriptionImpl

Direct Known Subclasses:
  UnitAdjustmentDescriptionImpl

public class AdjustmentDescriptionImpl
extends java.lang.Object
implements AdjustmentDescription

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `cName`

Constructor Summary
`AdjustmentDescriptionImpl(AdjustmentType type, java.lang.String currency, Money initialPrice, Money endPrice, Money adjustmentAmount, java.lang.String computation, java.lang.String reason, java.lang.String id)`

Method Summary
`Money` | `adjustmentAmount()`
`java.lang.String` | `computation()`
`Money` | `endPrice()`
`java.lang.String` | `getCurrency()`
`java.lang.String` | `id()`
`Money` | `initialPrice()`
`java.lang.String` | `reason()`
`java.lang.String` | `toString()`
`static java.lang.String` | `toString(java.util.Iterator it, int size)`
`AdjustmentType` | `type()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### cName

    public static final java.lang.String cName

Constructor Detail

### AdjustmentDescriptionImpl

    public AdjustmentDescriptionImpl(AdjustmentType type,
                                     java.lang.String currency,
                                     Money initialPrice,
                                     Money endPrice,
                                     Money adjustmentAmount,
                                     java.lang.String computation,
                                     java.lang.String reason,
                                     java.lang.String id)

Method Detail

### type

    public AdjustmentType type()

  Specified by:
    type in interface AdjustmentDescription

### initialPrice

    public Money initialPrice()

  Specified by:
    initialPrice in interface AdjustmentDescription

### endPrice

    public Money endPrice()

  Specified by:
    endPrice in interface AdjustmentDescription

### adjustmentAmount

    public Money adjustmentAmount()

  Specified by:
    adjustmentAmount in interface AdjustmentDescription

### computation

    public java.lang.String computation()

  Specified by:
    computation in interface AdjustmentDescription

### reason

    public java.lang.String reason()

  Specified by:
    reason in interface AdjustmentDescription

### id

    public java.lang.String id()

  Specified by:
    id in interface AdjustmentDescription

### getCurrency

    public java.lang.String getCurrency()

  Specified by:
    getCurrency in interface AdjustmentDescription

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### toString

    public static java.lang.String toString(java.util.Iterator it,
                                            int size)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved